Search results for

“Request failed with http status code 503”

200,998 results found

Post

Replies

Boosts

Views

Activity

APNs returning 410 response status code
Hello, On one of our test devices, we stopped receiving push notifications on our app. Upon investigation we noticed that APNs is returning a 410 status code when we try to deliver a notification to this device. In our iOS code, on every launch we call the registerForRemoteNotifications() method of UIApplication to request the device token. Upon successful registration, we receive the token in our app delegate’s application(_:didRegisterForRemoteNotificationsWithDeviceToken:) method. Each time we continue to receive the same token as before, and this token continues to receive a 410 response from APNs. How can we get more info on why this token has been marked as Inactive/Expired by APNs? Why is APNs giving us the same token on device if it has been marked as Inactive/Expired? What is the best way to start receiving push notifications on this device for our app? Is it possible to get a new token without deleting and re-installing the app?
2
0
1.6k
Apr ’23
Reply to Xcode 12 iOS 14 error purchase
Same here with Xcode 12.2 and iOS 14.2 2020-12-03 12:25:08.885572+0530 Application[1496:171076] : Payment completed with error: Error Domain=ASDErrorDomain Code=500 Unhandled exception UserInfo={NSUnderlyingError=0x282248150 {Error Domain=AMSErrorDomain Code=100 Authentication Failed UserInfo={NSLocalizedFailureReason=The verify credentials call failed., NSLocalizedDescription=Authentication Failed, NSUnderlyingError=0x282248330 {Error Domain=AMSErrorDomain Code=301 Invalid Status Code UserInfo={NSLocalizedDescription=Invalid Status Code, NSLocalizedFailureReason=The response has an invalid status code}}}}, NSLocalizedFailureReason=An unknown error occurred, NSLocalizedDescription=Unhandled exception} 2020-12-03 12:25:08.890414+0530 Sleep Solutions[1496:169933] ( )
Dec ’20
Reply to Content Filter Permission Prompt Not Appearing in TestFlight
Hi, Still in TestFlight: ciphermld Failed to fetch Token Issuer Directory. { URL: https://gateway.icloud.com/pat-issuer-directory?issuer=pir.**.* Status Code: 404, ... pir-tester looks good: ./PirTester query --pir-server-url https://pir.. --privacy-pass-url https://issuer.. --pir-usecase .url.filtering --user-token **** --ohttp-config-url https://ohttp.*****.***/.well-known/ohttp-gateway --ohttp-gateway-url https://ohttp.*****.***/.well-known/ohttp-gateway .com/url-filter-test PIR Server URL: https://pir..** Privacy Pass URL: https://issuer.**. PIR Use Case: *****.app.url.filtering User Token: ***** Fetching OHTTP key configuration from https://ohttp.*****.***l/.well-known/ohttp-gateway... OHTTP enabled, gateway: https://ohttp.*****.***/.well-known/ohttp-gateway Running full PIR lookup (fetching tokens, config, keys, and querying)... Querying keyword: ***.com/url-filter-test ✓ PIR query completed succ
Mar ’26
How to handle NEAppProxyUDPFlow for Https Requests?
Perhaps this could be repetitive or basic question but I have implemented following code of NEDNSProxyProvider. My basic requirement is I want to process the flow but instead of using data from datagrams I want to use data received from our custom DNS server. After tons of articles documentation Im able to write following code. But it's failing continuously in writeDataGrams with Invalid arguments data and The operation could not be completed because Flow not connected. I know somethings is wrong in processing the data but what is wrong Im not able to figure out. Also I want to know is this even possible to achieve this by using API call inside datagrams for loop and then send data to writedatagrams? After getting JSONResponse Im using third party library to convert query form JSONData binary before sending it to writeDataGrams. https://github.com/Bouke/DNS override func handleNewFlow(_ flow: NEAppProxyFlow) -> Bool { NSLog(DNSProxyProvider: handleFlow) var handled: Bool
4
0
955
Apr ’23
WKWebview - Failed to load resource: The request timed out
Hello I have WkWebview app which load webpage here is my initialization code for wkwebview override func loadView() { let webConfiguration = WKWebViewConfiguration() let preferences = WKPreferences() preferences.javaScriptEnabled = true preferences.setValue(true, forKey: DeveloperExtrasEnabled) webConfiguration.preferences = preferences browser = WKWebView(frame: .zero, configuration: webConfiguration) browser.navigationDelegate = self browser.uiDelegate = self view = browser } and here is request let url = URL(string: urlString) request = URLRequest(url: url!,cachePolicy: .reloadIgnoringLocalAndRemoteCacheData,timeoutInterval: 360) browser.navigationDelegate = self browser.uiDelegate = self browser.load(request) This works fine but when I click on subpage which load's more that 60s(which is default request timeout interval). I get this error in web-inspector Failed to load resource: The request timed out So my question is. Can I change default ti
0
0
3.9k
Aug ’20
CoreBluetooth: Failed to encrypt connection BM3 STATUS 706
Our iOS app talks to our own BLE accessory using CoreBluetooth. This has been working for a few months on all our devices (I have personally tested it on iPod touch 6th gen, iPad mini 2, iPhone 5s, iPhone 6s and iPhone 7). We just got our hands on an iPad mini 4 and, for some reason, have been experiencing issues:- the initial connection triggers the iOS pairing dialog- after entering the proper passkey I am able to read values from the device just fine- any subsequent attempts at reading value (CBPeripheral.readValue) just sits there and the didUpdateValue delegate method is never calledI've been trying to figure out what's happening and, I was looking at the device logs, noticed the following:Oct 23 13:18:38 iPad-mini-03 bluetoothd[77] <Notice>: Received XPC message CBMsgIdCharacteristicReadValue from session net.prolon.Focus-central-746-120 Oct 23 13:18:38 iPad-mini-03 bluetoothd[77] <Notice>: Reading value for characteristic handle 0x002d on device <private> Oct 23 13:18:38 iPad-mini-03
1
0
1.9k
Oct ’17
Reply to Push notifications not receiving for Brazil region
Please share the apns-id of one or a few push notifications that failed to be delivered, and we can take a look. Make sure you are parsing and processing the HTTP status, and the status in the response JSON for possible errors. Let me also know what status you are getting for these undelivered notifications, if any. Please @ tag me in your response to get my attention when you do.
Apr ’25
Apple ACME client failing to poll order when order is in "processing" status.
I'm developing an ACME server to issue identity certificates to macOS/iOS devices for MDM attestation, following RFC 8555. Per RFC, the client creates an order, performs authorization, verifies the challenge, and finalizes the order by submitting a CSR to the CA. In my setup, the CA sometimes takes longer to issue the certificate (around 50 seconds). According to RFC 8555, if certificate issuance isn’t complete after the /finalize call, the server should respond with an order object with a processing status. The client should then send a POST-as-GET request to the order resource (e.g., /order/) to check the current state. If the CA still hasn’t issued the certificate, the server should return the order object with the same processing status and include a Retry-After header, indicating when the client should retry. The client is expected to poll the order resource at this specified interval with POST-as-GET requests. However, it seems the Apple ACME client ignores the Retry-
0
0
561
Oct ’24
Reply to 400 PARAMETER_ERROR.INVALID from the NEXT Link in /v1/devices
I'm experiencing the same issue with analytics endpoints Request: curl --location 'https://api.appstoreconnect.apple.com/v1/analyticsReportRequests/XXXXX/reports?cursor=AQ&limit=1' --header 'Authorization: XXXX' Response { errors: [ { id: a171d897-14cb-40c9-b7a5-9fd35807d752, status: 400, code: PARAMETER_ERROR.INVALID, title: A parameter has an invalid value, detail: 'AQ' is not a valid cursor for this request, source: { parameter: cursor } } ] }
Apr ’25
Apple ACME client failing to poll order when order is in "processing" status.
I'm developing an ACME server to issue identity certificates to macOS/iOS devices for MDM attestation, following RFC 8555. Per RFC, the client creates an order, performs authorization, verifies the challenge, and finalizes the order by submitting a CSR to the CA. In my setup, the CA sometimes takes longer to issue the certificate (around 50 seconds). According to RFC 8555, if certificate issuance isn’t complete after the /finalize call, the server should respond with an order object with a processing status. The client should then send a POST-as-GET request to the order resource (e.g., /order/) to check the current state. If the CA still hasn’t issued the certificate, the server should return the order object with the same processing status and include a Retry-After header, indicating when the client should retry. The client is expected to poll the order resource at this specified interval with POST-as-GET requests. However, it seems the Apple ACME client ignores the Retry-
0
0
656
Nov ’24
APNs returning 410 response status code
Hello, On one of our test devices, we stopped receiving push notifications on our app. Upon investigation we noticed that APNs is returning a 410 status code when we try to deliver a notification to this device. In our iOS code, on every launch we call the registerForRemoteNotifications() method of UIApplication to request the device token. Upon successful registration, we receive the token in our app delegate’s application(_:didRegisterForRemoteNotificationsWithDeviceToken:) method. Each time we continue to receive the same token as before, and this token continues to receive a 410 response from APNs. How can we get more info on why this token has been marked as Inactive/Expired by APNs? Why is APNs giving us the same token on device if it has been marked as Inactive/Expired? What is the best way to start receiving push notifications on this device for our app? Is it possible to get a new token without deleting and re-installing the app?
Replies
2
Boosts
0
Views
1.6k
Activity
Apr ’23
Reply to Xcode 12 iOS 14 error purchase
Same here with Xcode 12.2 and iOS 14.2 2020-12-03 12:25:08.885572+0530 Application[1496:171076] : Payment completed with error: Error Domain=ASDErrorDomain Code=500 Unhandled exception UserInfo={NSUnderlyingError=0x282248150 {Error Domain=AMSErrorDomain Code=100 Authentication Failed UserInfo={NSLocalizedFailureReason=The verify credentials call failed., NSLocalizedDescription=Authentication Failed, NSUnderlyingError=0x282248330 {Error Domain=AMSErrorDomain Code=301 Invalid Status Code UserInfo={NSLocalizedDescription=Invalid Status Code, NSLocalizedFailureReason=The response has an invalid status code}}}}, NSLocalizedFailureReason=An unknown error occurred, NSLocalizedDescription=Unhandled exception} 2020-12-03 12:25:08.890414+0530 Sleep Solutions[1496:169933] ( )
Replies
Boosts
Views
Activity
Dec ’20
Reply to Content Filter Permission Prompt Not Appearing in TestFlight
Hi, Still in TestFlight: ciphermld Failed to fetch Token Issuer Directory. { URL: https://gateway.icloud.com/pat-issuer-directory?issuer=pir.**.* Status Code: 404, ... pir-tester looks good: ./PirTester query --pir-server-url https://pir.. --privacy-pass-url https://issuer.. --pir-usecase .url.filtering --user-token **** --ohttp-config-url https://ohttp.*****.***/.well-known/ohttp-gateway --ohttp-gateway-url https://ohttp.*****.***/.well-known/ohttp-gateway .com/url-filter-test PIR Server URL: https://pir..** Privacy Pass URL: https://issuer.**. PIR Use Case: *****.app.url.filtering User Token: ***** Fetching OHTTP key configuration from https://ohttp.*****.***l/.well-known/ohttp-gateway... OHTTP enabled, gateway: https://ohttp.*****.***/.well-known/ohttp-gateway Running full PIR lookup (fetching tokens, config, keys, and querying)... Querying keyword: ***.com/url-filter-test ✓ PIR query completed succ
Replies
Boosts
Views
Activity
Mar ’26
How to handle NEAppProxyUDPFlow for Https Requests?
Perhaps this could be repetitive or basic question but I have implemented following code of NEDNSProxyProvider. My basic requirement is I want to process the flow but instead of using data from datagrams I want to use data received from our custom DNS server. After tons of articles documentation Im able to write following code. But it's failing continuously in writeDataGrams with Invalid arguments data and The operation could not be completed because Flow not connected. I know somethings is wrong in processing the data but what is wrong Im not able to figure out. Also I want to know is this even possible to achieve this by using API call inside datagrams for loop and then send data to writedatagrams? After getting JSONResponse Im using third party library to convert query form JSONData binary before sending it to writeDataGrams. https://github.com/Bouke/DNS override func handleNewFlow(_ flow: NEAppProxyFlow) -> Bool { NSLog(DNSProxyProvider: handleFlow) var handled: Bool
Replies
4
Boosts
0
Views
955
Activity
Apr ’23
Reply to Xcode Cloud builds failing with random 502 errors when resolving packages
Build kind of worked once, then failed when I tried 5 min later But here is all ponies and rainbows https://developer.apple.com/system-status/
Replies
Boosts
Views
Activity
May ’24
Failed to request allowed query parameters from WebPrivacy
Hi, I am running into an error on XCode 15 (iOS 17+). When I am trying to play an iframe on the app. I see this error popup. Warning: -[BETextInput attributedMarkedText] is unimplemented Failed to request allowed query parameters from WebPrivacy. How do I fix this issue? I never saw this before so I am sure it is new. The app use to run fine as well.
Replies
2
Boosts
0
Views
4.4k
Activity
Apr ’24
WKWebview - Failed to load resource: The request timed out
Hello I have WkWebview app which load webpage here is my initialization code for wkwebview override func loadView() { let webConfiguration = WKWebViewConfiguration() let preferences = WKPreferences() preferences.javaScriptEnabled = true preferences.setValue(true, forKey: DeveloperExtrasEnabled) webConfiguration.preferences = preferences browser = WKWebView(frame: .zero, configuration: webConfiguration) browser.navigationDelegate = self browser.uiDelegate = self view = browser } and here is request let url = URL(string: urlString) request = URLRequest(url: url!,cachePolicy: .reloadIgnoringLocalAndRemoteCacheData,timeoutInterval: 360) browser.navigationDelegate = self browser.uiDelegate = self browser.load(request) This works fine but when I click on subpage which load's more that 60s(which is default request timeout interval). I get this error in web-inspector Failed to load resource: The request timed out So my question is. Can I change default ti
Replies
0
Boosts
0
Views
3.9k
Activity
Aug ’20
CoreBluetooth: Failed to encrypt connection BM3 STATUS 706
Our iOS app talks to our own BLE accessory using CoreBluetooth. This has been working for a few months on all our devices (I have personally tested it on iPod touch 6th gen, iPad mini 2, iPhone 5s, iPhone 6s and iPhone 7). We just got our hands on an iPad mini 4 and, for some reason, have been experiencing issues:- the initial connection triggers the iOS pairing dialog- after entering the proper passkey I am able to read values from the device just fine- any subsequent attempts at reading value (CBPeripheral.readValue) just sits there and the didUpdateValue delegate method is never calledI've been trying to figure out what's happening and, I was looking at the device logs, noticed the following:Oct 23 13:18:38 iPad-mini-03 bluetoothd[77] <Notice>: Received XPC message CBMsgIdCharacteristicReadValue from session net.prolon.Focus-central-746-120 Oct 23 13:18:38 iPad-mini-03 bluetoothd[77] <Notice>: Reading value for characteristic handle 0x002d on device <private> Oct 23 13:18:38 iPad-mini-03
Replies
1
Boosts
0
Views
1.9k
Activity
Oct ’17
Reply to Push notifications not receiving for Brazil region
Please share the apns-id of one or a few push notifications that failed to be delivered, and we can take a look. Make sure you are parsing and processing the HTTP status, and the status in the response JSON for possible errors. Let me also know what status you are getting for these undelivered notifications, if any. Please @ tag me in your response to get my attention when you do.
Replies
Boosts
Views
Activity
Apr ’25
Reply to Validating receipt for iOS in-app purchase always returns error 21002
App Store - Receipt Verification server was in Outage since yesterday. Is seems that it has been resolved but I still failing for me. https://developer.apple.com/system-status/
Topic: App & System Services SubTopic: StoreKit Tags:
Replies
Boosts
Views
Activity
Feb ’23
Apple ACME client failing to poll order when order is in "processing" status.
I'm developing an ACME server to issue identity certificates to macOS/iOS devices for MDM attestation, following RFC 8555. Per RFC, the client creates an order, performs authorization, verifies the challenge, and finalizes the order by submitting a CSR to the CA. In my setup, the CA sometimes takes longer to issue the certificate (around 50 seconds). According to RFC 8555, if certificate issuance isn’t complete after the /finalize call, the server should respond with an order object with a processing status. The client should then send a POST-as-GET request to the order resource (e.g., /order/) to check the current state. If the CA still hasn’t issued the certificate, the server should return the order object with the same processing status and include a Retry-After header, indicating when the client should retry. The client is expected to poll the order resource at this specified interval with POST-as-GET requests. However, it seems the Apple ACME client ignores the Retry-
Replies
0
Boosts
0
Views
561
Activity
Oct ’24
Reply to 400 PARAMETER_ERROR.INVALID from the NEXT Link in /v1/devices
I'm experiencing the same issue with analytics endpoints Request: curl --location 'https://api.appstoreconnect.apple.com/v1/analyticsReportRequests/XXXXX/reports?cursor=AQ&limit=1' --header 'Authorization: XXXX' Response { errors: [ { id: a171d897-14cb-40c9-b7a5-9fd35807d752, status: 400, code: PARAMETER_ERROR.INVALID, title: A parameter has an invalid value, detail: 'AQ' is not a valid cursor for this request, source: { parameter: cursor } } ] }
Replies
Boosts
Views
Activity
Apr ’25
Reply to Xcode 14.3 can't download symbols from watchOS 9.5.1?
I'm having the same issues with Series 7 unable to run on 9.5.1. I get a Failed with HTTP status 403: forbidden Domain: DataGatheringNSURLSessionDelegate
Replies
Boosts
Views
Activity
May ’23
Reply to Xcode cloud: The page you’re looking for can’t be found.
Same here. 503.
Replies
Boosts
Views
Activity
Jan ’26
Apple ACME client failing to poll order when order is in "processing" status.
I'm developing an ACME server to issue identity certificates to macOS/iOS devices for MDM attestation, following RFC 8555. Per RFC, the client creates an order, performs authorization, verifies the challenge, and finalizes the order by submitting a CSR to the CA. In my setup, the CA sometimes takes longer to issue the certificate (around 50 seconds). According to RFC 8555, if certificate issuance isn’t complete after the /finalize call, the server should respond with an order object with a processing status. The client should then send a POST-as-GET request to the order resource (e.g., /order/) to check the current state. If the CA still hasn’t issued the certificate, the server should return the order object with the same processing status and include a Retry-After header, indicating when the client should retry. The client is expected to poll the order resource at this specified interval with POST-as-GET requests. However, it seems the Apple ACME client ignores the Retry-
Replies
0
Boosts
0
Views
656
Activity
Nov ’24